> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Chart

> Returns charts from the page https://beaconcha.in/charts as PNG



## OpenAPI

````yaml /api/v1/bundled.yaml get /api/v1/chart/{chart}
openapi: 3.0.4
info:
  title: beaconcha.in API Documentation
  license:
    name: GPL-3.0
    url: https://www.gnu.org/licenses/gpl-3.0.en.html
  description: >-
    > ⚠️ No new features or endpoints will be added to V1. We recommend the [V2
    API](/api/overview) for all new projects. See the [migration
    guide](/api/v1-to-v2-migration).

    ## Introduction

    **Advanced and reliable API for accessing comprehensive Ethereum blockchain
    data.**


    - **Free Usage Policy:** The API is free to use under a fair use policy,
    with rate limits of 10 requests per minute per IP.

    - **Caching:** All responses are cached for 1 minute.

    - **Higher Usage Plans:** For higher usage plans, visit:
    [https://beaconcha.in/pricing](https://beaconcha.in/pricing). An API key is
    required to use these plans.


    ### API Key Usage

    API keys can be obtained at
    [/user/settings](https://beaconcha.in/user/settings) and must be included in
    requests either as a query string parameter or in the request header.


    #### Example: Query String Parameter

    ```bash

    curl https://beaconcha.in/api/v1/slot/1?apikey=<your_key>

    ```


    #### Example: Request Header

    ```bash

    curl -H 'apikey: <your_key>' https://beaconcha.in/api/v1/slot/1

    ```
  contact: {}
  version: '1.1'
servers:
  - url: https://beaconcha.in
    description: Ethereum mainnet
  - url: https://hoodi.beaconcha.in
    description: Hoodi Ethereum testnet
security:
  - ApiKeyAuthQuery: []
  - ApiKeyAuthHeader: []
tags:
  - name: Epoch
    description: Data related to consensus layer epochs
  - name: Slots
    description: Data related to consensus layer slots
  - name: Validators
    description: Data related to consensus layer validators
  - name: Rewards
    description: Data related to validator rewards
  - name: Sync Committees
    description: Data related to sync committees
  - name: Rocketpool
    description: Data related to the rocketpool protocol
  - name: ETH.Store®
    description: Data related to the ETH.Store® metric
  - name: Validator deposits
    description: Data related to execution layer validator deposits
  - name: Blocks
    description: Data related to execution layer blocks
  - name: Gas
    description: Data related to gas prices
  - name: Address
    description: Data related to ethereum addresses
  - name: Network
    description: Network data
  - name: Misc
    description: Miscellaneous data
  - name: User
    description: User data
  - name: Machine Metrics
    description: Submit machine, beacon-node, and validator-client monitoring metrics
paths:
  /api/v1/chart/{chart}:
    get:
      tags:
        - Misc
      summary: Chart
      description: Returns charts from the page https://beaconcha.in/charts as PNG
      parameters:
        - name: chart
          in: path
          description: Chart Names
          required: true
          style: simple
          explode: false
          schema:
            type: string
            enum:
              - blocks
              - validators
              - staked_ether
              - average_balance
              - network_liveness
              - participation_rate
              - stake_effectiveness
              - balance_distribution
              - effective_balance_distribution
              - performance_distribution_365d
              - deposits
              - withdrawals
              - graffiti_wordcloud
              - pools_distribution
              - historic_pool_performance
              - avg_gas_used_chart_data
              - execution_burned_fees
              - block_gas_used
              - block_count_chart_data
              - block_time_avg_chart_data
              - avg_gas_limit_chart_data
              - avg_block_util_chart_data
              - tx_count_chart_data
            example: validators
      responses:
        '200':
          description: Chart PNG image generated successfully
          content:
            image/png:
              schema:
                type: string
                format: binary
                description: PNG image file containing the requested chart
        '400':
          description: Bad Request - Invalid chart name or no data available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ApiErrorResponse'
              examples:
                invalid_chart:
                  summary: Invalid chart name
                  value:
                    status: 'ERROR: invalid chart name'
                    data: null
                no_data:
                  summary: No data available
                  value:
                    status: 'ERROR: no data available for the requested chart'
                    data: null
components:
  schemas:
    types.ApiErrorResponse:
      type: object
      description: Standard error envelope returned when a request fails.
      properties:
        status:
          type: string
          description: >-
            Human-readable error indicator and message. The value begins with
            "ERROR:" followed by details.
          example: 'ERROR: <Message>'
        data:
          type: string
          description: Optional additional context for the error. Null in most cases.
          nullable: true
          default: null
  securitySchemes:
    ApiKeyAuthQuery:
      type: apiKey
      in: query
      name: apikey
      description: ''
    ApiKeyAuthHeader:
      type: apiKey
      in: header
      name: apikey
      description: ''

````